com.fasterxml.jackson.dataformat.xml.util

## Class DefaultXmlPrettyPrinter.NopIndenter

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.DefaultXmlPrettyPrinter.NopIndenter

All Implemented Interfaces:
  DefaultXmlPrettyPrinter.Indenter

Enclosing class:
  DefaultXmlPrettyPrinter

    protected static class DefaultXmlPrettyPrinter.NopIndenter
    extends Object
    implements DefaultXmlPrettyPrinter.Indenter

Dummy implementation that adds no indentation whatsoever

### Constructor Summary

Constructors
Constructor and Description
`DefaultXmlPrettyPrinter.NopIndenter()`

### Method Summary

Methods
`boolean` `isInline()`
`void` `writeIndentation(com.fasterxml.jackson.core.JsonGenerator jg, int level)`
`void` `writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultXmlPrettyPrinter.NopIndenter

    public DefaultXmlPrettyPrinter.NopIndenter()

### Method Detail

#### writeIndentation

    public void writeIndentation(com.fasterxml.jackson.core.JsonGenerator jg,
                        int level)

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`

#### isInline

    public boolean isInline()

Specified by:
  `isInline` in interface `DefaultXmlPrettyPrinter.Indenter`
Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise

#### writeIndentation

    public void writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw,
                        int level)

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`